Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-03-2016 22:09:02

lherbaux
Membre
Distrib. : lmde 2
Noyau : Linux 3.16.0-4-586
(G)UI : openbox
Inscription : 23-12-2010

installer iceweasel

bonjour,

je suis sous linux mint debian.

je n'arrive pas à installer iceweasel 17.2.

voici ce qu'il m'indique :

apt-get install iceweasel


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 iceweasel : Dépend: libstdc++6 (>= 4.9) mais 4.8.4-2ubuntu1~14.04.1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».




comment dois-je faire pour corriger cela ?

merci d'avance.

à bientôt.

Edit a bendia : mise en forme du code et des retours. C'est-y pas plus mieux comme ça big_smileVoir le tuto : Le code, ça pique moins les yeux en couleur

Hors ligne

#2 03-03-2016 22:37:49

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : installer iceweasel

Salut,

Peux-tu nous montrer ton fichier /etc/apt/sources.list ?
smile

Leonlemouton
°(")°

Hors ligne

#3 03-03-2016 22:54:59

lherbaux
Membre
Distrib. : lmde 2
Noyau : Linux 3.16.0-4-586
(G)UI : openbox
Inscription : 23-12-2010

Re : installer iceweasel

#deb cdrom:[Linux Mint 17.2 _Rafaela_ - Release i386 20150627]/ trusty contrib main non-free

Hors ligne

#4 03-03-2016 23:07:32

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : installer iceweasel

ok et pour :
/etc/apt/sources.list.d/local-repository.list

Leonlemouton
°(")°

Hors ligne

#5 03-03-2016 23:17:54

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : installer iceweasel

Je te conseille de poster tes questions ici:
https://www.linuxmint-fr.org/index.php
J'ai regardé la doc... Pas compris la configuration du sources.list...

à tenter:

apt-get update


apt-get upgrade


Puis:

apt-get install iceweasel



Sinon installe une debian ; on pourra t'aider plus facilement. smile

Edit à toto :
Séparation des commandes root pour les rendre plus lisibles par les débutants.

Dernière modification par leonlemouton (03-03-2016 23:18:51)


Leonlemouton
°(")°

Hors ligne

#6 04-03-2016 10:20:53

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : installer iceweasel

Salut,

Je crois qu'Iceweasel n'est pas présent de base dans les dépôts Linux Mint. Il faut ajouter les dépôts backports de Jessie, et éventuellement le dépôt Iceweasel. Dans sources de logiciels, cliquer sur dépôts additionnels. Tu y ajoutes les dépôts suivants.

# Debian Jessie, dépôt de rétroportages ("backports") :
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
#deb-src http://httpredir.debian.org/debian jessie-backports main

# Dépôt pour un firefox (iceweasel) à jour :
deb http://mozilla.debian.net/ jessie-backports iceweasel-release



Ensuite:

sudo apt-get update



sudo apt-get install -t jessie-backports iceweasel iceweasel-l10n-fr



Edit à toto :
Mis en couleur les sources (code=apt_sources) et mis en Commande user les lignes de commande user.

Dernière modification par zorzi (04-03-2016 13:11:30)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#7 04-03-2016 10:33:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : installer iceweasel

@zorzi
Nous utilisons des balises pour colorer les informations commandes et configuration indiquées sur le forum.
toto t'a éditer ton post précédent et y a mis les bonnes valises. wink
Tu peux voir comment en ouvrant l'édition de ton post par Modifier en bas à droite de celui-ci

Et, chocolat sur le gâteau, voici le tuto qui esspliqu' tout bien coment qu'on fait avec les balises df :
Voir le tuto : Le code, ça pique moins les yeux en couleur big_smile

@lherbaux :
zorzi indique les commandes avec sudo si tu as configuré l'application sudo : voir ici :
sudo configuration et utilisation pied à pied.

Sinon, sur debian on a le superutilisateur là
Linux... Ton univers impitoyable... Le superutilisateur en quelques mots.

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#8 04-03-2016 11:00:19

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : installer iceweasel

Ah oui, c'est plus joli comme ça. Chaque fois je fais n'imp avec les balises code. Vais essayer de plus me planter. wink

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#9 04-03-2016 11:39:30

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : installer iceweasel

@zorzi Bah... c'est en balisant qu'on debian baliseur... big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#10 04-03-2016 22:43:19

lherbaux
Membre
Distrib. : lmde 2
Noyau : Linux 3.16.0-4-586
(G)UI : openbox
Inscription : 23-12-2010

Re : installer iceweasel

j'ai fait ce que l'a mit zorzi a mis , mais ça marche pas.

sudo apt-get install -t jessie-backports iceweasel iceweasel-l10n-fr


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 iceweasel : Dépend: libhunspell-1.3-0 (>= 1.3.3) mais 1.3.2-6ubuntu2.1 devra être installé
             Dépend: libstdc++6 (>= 4.9) mais 4.8.4-2ubuntu1~14.04.1 devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Hors ligne

#11 04-03-2016 22:49:39

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : installer iceweasel

Salut smile

Es-tu bien certain d'utiliser Linux Mint Debian Edition et pas Linux Mint tout court ? Peux tu nous montrer ton sources.list histoire qu'on s'en assure, parce que ça m'inquiète de voir des trucs taggués ubuntu dans les retours de apt hmm

Edit : j'ai relu le reste de fil, et je crois que tu n'as pas Linux Mint DebianEdition, mais bien Linux Mint basée sur Ubuntu. Je ne sais pas si il est possible d'installer Iceweasel sous Ubuntu, mais il me semble que ça ne sera pas avec les dépôts Debian en tout cas. Il faut donc supprimer d'urgence du sources.list ceux que t'a fait ajouter zorzi pour éviter des ennuis hmm

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#12 04-03-2016 23:20:07

leonlemouton
Adhérent(e)
Distrib. : Jessie
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate 1.8.1
Inscription : 14-08-2012

Re : installer iceweasel

Désolé pour les erreurs de balisage... roll

@bendia à raison je pense ; ce mélange des genres peut compliquer fortement la vie du gestionnaire de paquets...

Leonlemouton
°(")°

Hors ligne

#13 05-03-2016 01:00:41

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : installer iceweasel

que renvois

find /etc/apt -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#14 05-03-2016 11:11:39

seb95deMLO
Invité

Re : installer iceweasel

bendia a écrit :

Salut smile

Es-tu bien certain d'utiliser Linux Mint Debian Edition et pas Linux Mint tout court ? Peux tu nous montrer ton sources.list histoire qu'on s'en assure, parce que ça m'inquiète de voir des trucs taggués ubuntu dans les retours de apt hmm

Edit : j'ai relu le reste de fil, et je crois que tu n'as pas Linux Mint DebianEdition, mais bien Linux Mint basée sur Ubuntu. Je ne sais pas si il est possible d'installer Iceweasel sous Ubuntu, mais il me semble que ça ne sera pas avec les dépôts Debian en tout cas. Il faut donc supprimer d'urgence du sources.list ceux que t'a fait ajouter zorzi pour éviter des ennuis hmm



Linux mint debian 17.2 n'existe pas, c'est mint linux 17.2 ou lmde2... De plus mint fournit directement firefox.
Viens directement sur debian ça eviteras d'etre dans la confusion tongue
Mint 17.3:
https://www.linuxmint.com/download.php
lmde2:
https://www.linuxmint.com/download_lmde.php

Dernière modification par seb95deMLO (05-03-2016 11:13:03)

#15 05-03-2016 11:57:59

Lancelot du Lac
Membre
Lieu : France
Distrib. : Jessie | Stretch
Noyau : Linux 3.16.0-4-amd64 | 4.5.0-1-amd64
(G)UI : ZSH / LXDE, Openbox | KDE
Inscription : 22-02-2016

Re : installer iceweasel

Je suis assez d'accord avec seb95deMLO : autant utiliser Debian directement. En plus, on peut installer sans problème Cinnamon sur Debian. Debian n'est sans doute pas plus terrible que LMDE (et c'est un tout récent utilisateur de Linux qui parle, et qui utilise Linux Mint également) !

Dell Inspiron 7500 series - Debian Stretch - KDE/openbox - ZSH
Samsung - Debian Jessie - LXDE/pas de graphique - ZSH

Hors ligne

#16 05-03-2016 15:16:00

nono47
Membre
Lieu : dans l'engrenage ...
Distrib. : sid
Noyau : Linux 4.8.0-1-amd64
(G)UI : gnome-shell
Inscription : 09-05-2012

Re : installer iceweasel

Et faire passer une mint en debian : ça ! c'est du challenge de hacker ! big_smile
1457183687.jpg

C'est possible de permuter les paquets de mint vers debian ? cool

édition : là, le non-libre va se voir ! tongue

Dernière modification par nono47 (05-03-2016 15:20:13)

Hors ligne

#17 05-03-2016 16:22:04

lherbaux
Membre
Distrib. : lmde 2
Noyau : Linux 3.16.0-4-586
(G)UI : openbox
Inscription : 23-12-2010

Re : installer iceweasel

find /etc/apt -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;

/etc/apt/sources.list.d

nl: /etc/apt/sources.list.d: Is a directory

/etc/apt/sources.list.d/getdeb.list

     1    # deb http://archive.getdeb.net/ubuntu trusty-getdeb apps

/etc/apt/sources.list.d/official-package-repositories.list

     1    # Do not edit this file manually, use Software Sources instead.
     2   
     3    deb http://packages.linuxmint.com rafaela main upstream import  #id:linuxmint_main
     4    deb http://extra.linuxmint.com rafaela main #id:linuxmint_extra
     5   
     6    deb http://archive.ubuntu.com/ubuntu trusty main restricted universe multiverse
     7    deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted universe multiverse
     8   
     9    deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
    10    deb http://archive.canonical.com/ubuntu/ trusty partner

/etc/apt/sources.list.d/dirk-computer42-c42-backport-trusty.list

     1    deb http://ppa.launchpad.net/dirk-computer4 … ort/ubuntu trusty main
     2    deb-src http://ppa.launchpad.net/dirk-computer4 … ort/ubuntu trusty main

/etc/apt/sources.list

     1    #deb cdrom:[Linux Mint 17.2 _Rafaela_ - Release i386 20150627]/ trusty contrib main non-free
     2   
     3    # Debian Jessie, dépôt de rétroportages ("backports") :
     4    deb http://httpredir.debian.org/debian jessie-backports main contrib non-free
     5    #deb-src http://httpredir.debian.org/debian jessie-backports main
     6   
     7    # Dépôt pour un firefox (iceweasel) à jour :
     8    deb http://mozilla.debian.net/ jessie-backports iceweasel-release

Hors ligne

#18 05-03-2016 16:43:21

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : installer iceweasel

En effet, il ne s'agît pas d'une Mint debian mais bien d'une Mint tout court. Du coup, il te faut enlever de ton sources list les lignes que je t'avais énoncées plus haut.

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#19 05-03-2016 17:10:43

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : installer iceweasel


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

Pied de page des forums